| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
ARVideoSourceInfoT Struct Reference

Values describing a video source. More...

`#include <video.h>`

## Public Attributes
char * | name
| UTF-8 encoded string representing the name of the source, in a form suitable for presentation to an end-user, e.g. in a list of inputs.
char * | model
| UTF-8 encoded string representing the model of the source, where this information is available. May be NULL if model information is not attainable.
char * | UID
| UTF-8 encoded string representing a unique ID for this source, and suitable for passing to arVideoOpen/ar2VideoOpen as a UID in the configuration. May be NULL if sources cannot be uniquely identified.
uint32_t | flags
char * | open_token
| UTF-8 encoded string containing the token that should be passed (in the space-separated list of tokens to arVideoOpen/ar2VideoOpen, in order to select this source to be opened. Note that this token is only valid so long as the underlying video hardware configuration does not change, so should not be stored between sessions.

## Detailed Description

Values describing a video source.

## Member Data Documentation

## ◆ flags

uint32_t ARVideoSourceInfoT::flags

## ◆ model

char* ARVideoSourceInfoT::model

UTF-8 encoded string representing the model of the source, where this information is available. May be NULL if model information is not attainable.

## ◆ name

char* ARVideoSourceInfoT::name

UTF-8 encoded string representing the name of the source, in a form suitable for presentation to an end-user, e.g. in a list of inputs.

## ◆ open_token

char* ARVideoSourceInfoT::open_token

UTF-8 encoded string containing the token that should be passed (in the space-separated list of tokens to arVideoOpen/ar2VideoOpen, in order to select this source to be opened. Note that this token is only valid so long as the underlying video hardware configuration does not change, so should not be stored between sessions.

## ◆ UID

char* ARVideoSourceInfoT::UID

UTF-8 encoded string representing a unique ID for this source, and suitable for passing to arVideoOpen/ar2VideoOpen as a UID in the configuration. May be NULL if sources cannot be uniquely identified.

The documentation for this struct was generated from the following file:

- Source/ARX/ARVideo/include/ARX/ARVideo/video.h